mscorlib 2.0.0.0 4.0.0.0 System.Enum

Use the method to register for a full garbage collection notification. Then use the method or the method to return a enumeration that contains the status of the notification.

Provides information about the current registration for notification of the next full garbage collection.

- Field
  2.0.0.0
  4.0.0.0
  System.GCNotificationStatus

  The current registration was canceled by the user.

- Field
  2.0.0.0
  4.0.0.0
  System.GCNotificationStatus

  The notification failed for any reason.

- Field
  2.0.0.0
  4.0.0.0
  System.GCNotificationStatus

  This result can be caused by the following: there is no current registration for a garbage collection notification, concurrent garbage collection is enabled, or the time specified for the parameter has expired and no garbage collection notification was obtained. (See the <gcConcurrent> runtime setting for information about how to disable concurrent garbage collection.)

- Field
  2.0.0.0
  4.0.0.0
  System.GCNotificationStatus

  The notification was successful and the registration was not canceled.

- Field
  2.0.0.0
  4.0.0.0
  System.GCNotificationStatus

  The time specified by the parameter for either or has elapsed.